Subject: [PATCH 0/2] New PowerPC 4xx on-chip ethernet controller driver

From: Eugene Surovegin <[email-masked]>
Date: Tue, 30 Aug 2005 21:58:47 -0700

Jeff,

the following patches replace current PowerPC 4xx EMAC driver with 
new, re-written version.

New driver uses NAPI, it solves problems under heavy packet load and 
low memory, corrects chip register access and fixes numerous small 
bugs I don't even remember now :).

This patch has been tested on all supported in 2.6 PPC 4xx boards. 
It's been used in production for almost a year now on custom 
4xx hardware. PPC32 specific parts were just posted to linuxppc-dev 
and linuxppc-embedded mail lists.

Patch was acked by the current EMAC driver maintainer (Matt Porter). I 
will be maintaining this new version.

Signed-off-by: Eugene Surovegin <[email-masked]>